package com.heaton.forum;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.util.*;
import java.io.*;
import org.apache.taglibs.standard.tag.el.core.*;
import java.sql.*;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This file implements the createForum tag for the
 * forum custom tag library example.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */

public class CreateForumTag extends TagSupport {

  /**
   * Contains the EL "code" to be parsed.
   */
  private String code_el;

  /**
   * The code of a forum.
   */
  private String code;   

  /**
   * Contains the EL "name" to be parsed.
   */
  private String name_el;   

  /**
   * The name of a forum.
   */
  private String name;   
  /**
   * Contains the EL "sequence" to be parsed.
   */
  private String sequence_el;   
  /**
   * The sequence number.
   */
  private String sequence;



  /**
   * Setter for the code attribute.
   * 
   * @param code
   */
  public void setCode(String code) {
    this.code_el = code;
  }

  /**
   * Setter for the name attribute.
   * 
   * @param name
   */
  public void setName(String name) {
    this.name_el = name;
  }

  /**
   * Setter for the sequence attribute.
   * 
   * @param sequence
   */
  public void setSequence(String sequence) {
    this.sequence_el = sequence;
  }



  /**
   * The start of the tag, used to process the EL
   * expressions.
   * 
   * @return A status to indicate if the body is to be 
   * processed. Here the body is not processed.
   * @exception javax.servlet.jsp.JspException Thrown on general error.
   */
  public int doStartTag()
  throws  javax.servlet.jsp.JspException
  {
    code = (String)ExpressionUtil.evalNotNull(
      "createForum", "code", code_el, String.class, this, pageContext);

    name = (String)ExpressionUtil.evalNotNull(
      "createForum", "name", name_el, String.class, this, pageContext);

    sequence = (String)ExpressionUtil.evalNotNull(
      "createForum", "sequence", sequence_el, String.class, this, pageContext);



    return SKIP_BODY;
  }
  /**
   * The ending tag method is called when the tag
   * is ready to complete. It is here that
   * the forum is created.
   * 
   * @return A status code that indicates if the rest of the
   * page is to be processed. Here the rest of the
   * page is processed.
   * @exception JspException Thrown on general error.
   */

  public int doEndTag() throws JspException {
    Session session = Session.getSession(pageContext);
    session.createForum(code,name,Integer.parseInt(sequence));
    return EVAL_PAGE;
  }
}
