package com.heaton.forum;
import java.util.*;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This file holds a forum user.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */

public class User  {

  /**
   * The login id of this user.
   */
  private String id;

  /**
   * The password for this user.
   */
  private String password;

  /**
   * The number of times the user has accessed the forum.
   */
  private int accesses;

  /**
   * The first time time the user has connected.
   */
  private Date first;

  /**
   * The last time the user has logged on.
   */
  private Date last;

  /**
   * The number of failed logins for this user.
   */
  private int bad;

  /**
   * The number of messages posted.
   */
  private int posted;

  /**
   * The type of this user.
   * A = admin
   * R = regular
   * G = guest
   */
  private String type;

  public String getId()
  {
    return this.id;
  }

  public void setId(String id)
  {
    this.id = id.toLowerCase();
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String password)
  {
    this.password = password;
  }

  public int getAccesses()
  {
    return this.accesses;
  }

  public void setAccesses(int accesses)
  {
    this.accesses = accesses;
  }

  public Date getFirst()
  {
    return this.first;
  }

  public void setFirst(Date first)
  {
    this.first = first;
  }

  public Date getLast()
  {
    return this.last;
  }

  public void setLast(Date last)
  {
    this.last = last;
  }


  public int getBad()
  {
    return this.bad;
  }

  public void setBad(int bad)
  {
    this.bad = bad;
  }

  public int getPosted()
  {
    return this.posted;
  }

  public void setPosted(int posted)
  {
    this.posted = posted;
  }


  public String getType()
  {
    return this.type;
  }

  public void setType(String type)
  {
    this.type = type;
  }


}
